Subject: FVWM: Function is slooow ...

From: Markus Grunwald <[email-masked]>
Date: Mon, 19 Nov 2001 20:15:24 +0100

Hi !

Beeing a keyboard-freak, i like the idea of an automoving/focusing mousecursor, when I open a terminal with the keyboard.
The list once mentioned:

AddToFunc SelectWindow
+ I Focus
+ I Raise
+ I WarpToWindow 50 50

This works quite well with

AddToFunc NormShell
 +  I Exec aterm -T $(pwd | sed "s#$HOME#~#") -sb -ls $0 $1 $2 $3 $4 $5 $6 $7 $8 $9
 +  I wait aterm
 +  I Next (aterm) SelectWindow

BUT: when I start the term, it appears, the mouse moves to it and then i have to wait for three seconds until the window really gets the focus and I can type something. This is independent of the CPU, its the same on a Pentium 100MHz or a Athlon 1.4GHz...

Can someone help me ?
-- 
Markus Grunwald

Registered Linux User Nr 101577      PGP Key:
http://counter.li.org                http://www.grunwald.2xs.de
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].